diff mbox

[OpenWrt-Devel,1/4] lantiq: Fix initscript issue

Message ID 1421560006.6126.24.camel@chimera
State Accepted
Headers show

Commit Message

Daniel Gimpelevich Jan. 18, 2015, 5:46 a.m. UTC
Currently this initscript fails if the macaddr has any leading zeroes.
This patch corrects the problem.

Signed-off-by: Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us>
diff mbox

Patch

--- a/target/linux/lantiq/base-files/etc/init.d/esi	(revision 44023)
+++ b/target/linux/lantiq/base-files/etc/init.d/esi	(working copy)
@@ -3,5 +3,5 @@ 
 
 START=19
 start() {
-	esi $(printf '%X' $((1+0x$(tr -d : </sys/class/net/eth0/address)))) 2>/dev/null || :
+	esi $(printf '%012X' $((1+0x$(tr -d : </sys/class/net/eth0/address)))) 2>/dev/console || :
 }